import { Component, h, State, Event } from "@stencil/core";
import { messages, mainUser } from "../../utils/mock";
export class SSaqhanChatApp {
    constructor() {
        this.showContent = "users";
    }
    isShowChat() {
        this.showChat = !this.showChat;
    }
    onClose() {
        this.showChat = false;
    }
    onSelectPersonal() {
        return this.showContent = 'personal';
    }
    onSelectUsers() {
        return this.showContent = 'users';
    }
    onSelectFiles() {
        return this.showContent = 'files';
    }
    render() {
        return (h("div", { class: "wrapper-modal" },
            this.showChat ? (h("s-saqhan-chat-wrapper", { messages: messages, mainUser: mainUser, onSelectPersonal: () => this.onSelectPersonal(), onSelectUsers: () => this.onSelectUsers(), onSelectFiles: () => this.onSelectFiles(), onClose: () => this.onClose(), showContent: this.showContent })) : (""),
            h("div", { class: "btn-wrapper" },
                h("div", { class: "open-chat" },
                    h("button", { onClick: () => this.isShowChat(), class: "btn-open" },
                        h("span", null, this.showChat ? (h("i", { class: "fas fa-times" })) : (h("i", { class: "far fa-comment-dots" }))))))));
    }
    static get is() { return "s-saqhan-chat-app"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-app.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-app.css"]
    }; }
    static get states() { return {
        "showChat": {},
        "showContent": {}
    }; }
    static get events() { return [{
            "method": "close",
            "name": "close",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "selectPersonal",
            "name": "selectPersonal",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "selectUsers",
            "name": "selectUsers",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "selectFiles",
            "name": "selectFiles",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
